//
// Copyright (C) 1999-2004 Toshikaz Hirabayashi
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to
// deal in the Software without restriction, including without limitation the
// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
// sell copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
// TOSHIKAZ HIRABAYASHI BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
// WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
// OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.
//
// Except as contained in this notice, the name of Toshikaz Hirabayashi shall
// not be used in advertising or otherwise to promote the sale, use or other
// dealings in this Software without prior written authorization from
// Toshikaz Hirabayashi.

#include <WScom.h>
#include <WSChorzForm.h>
#include <WSCclassInformation.h>
#include <WSCdevice.h>
#include <WSDdev.h>
#include <WSCfontSet.h>
#include <WSCvradio.h>

WSMFguiClassInitialize(WSChorzForm,WSCvertForm);
WSMFversion(WSChorzForm,WSCvertForm);


WSChorzForm::WSChorzForm(WSCbase* base,char* objname):
                WSCvertForm(base,objname){
  _vertical = 0;

  WSMFpropertyCreateStart
    WSMFparentCheckVerSrc(WSChorzForm);

    WSMFpropertyCreate(WSNalignmentV,WSCuchar,_alignment,WSSalignmentV2 );
      WSMFpropertySetSelection(WSRalignmentV2,WSRalignmentV2D);
    WSMFpropertyDelete(WSNalignmentH);

  WSMFpropertyCreateEnd

}

WSMFproperty(WSChorzForm, WSNalignmentV, WSCuchar,_alignment,0);

void WSChorzForm::setWorkWSNalignmentV(WSCuchar){}
void WSChorzForm::getWorkWSNalignmentV(WSCuchar*){}

WSChorzForm::~WSChorzForm(){
}
void WSChorzForm::_exec_child_adjust_for_anchors(){
  if (_geometry_changed != False){
    WSClistData children = getChildren();
    long num = children.getNum();
    long i;
    for(i=0; i<num; i++){
      WSCbase* child = (WSCbase*)children[i];
      child->_adjust_for_anchors(0,_h);
    }
  }
}

